@ECHO OFF
SET JAVA_HOME=C:\Program Files\Java\jdk1.6.0_10
SET COBOL_HOME=C:\Program Files\Micro Focus\Net Express 5.1\Base
SET CPP_HOME=C:\Program Files\Microsoft Visual Studio 9.0
SET PATH=.;%JAVA_HOME%\bin;%JAVA_HOME%\lib;%COBOL_HOME%\bin;%COBOL_HOME%\lib;%PATH%
CALL "%CPP_HOME%\Common7\Tools\vsvars32.bat"
ECHO.
ECHO *************************************************
ECHO ** Build Java to COBOL JNI XML Bridge          **        
ECHO **   Required software:                        **
ECHO **   (1) Micrsoft Visual Studio C++ 2008+      **
ECHO **   (2) Micro Focus Net Express 5.1+          **  
ECHO *************************************************
ECHO.
ECHO (1) Compiling Legacy COBOL application...
cobol cobol_src\SMPLCALC.cbl,.\build\;
ECHO (2) Compiling COBOL XML marshaliing layer..
cobol cobol_src\XML2CALC.cbl,.\build\;
ECHO (3) Compiling JNI XML Bridge...
cl -c "/I%JAVA_HOME%\include" "/I%JAVA_HOME%\include\win32" "/I%COBOL_HOME%\INCLUDE" "/Fo./build/Java2CblXmlBridge.obj" ./c_src/Java2CblXmlBridge.c 
ECHO (4) Creating shared library (DLL) for use by Java...
cbllink -D -O./Java2CblXmlBridge.dll ./build/Java2CblXmlBridge.obj ./build/XML2CALC.obj ./build/SMPLCALC.obj
ECHO (5) Compiling Java Front-end...
javac -d ./build/java java_src/info/reversingproject/jsimplecalculator/*.java java_src/info/reversingproject/jsimplecalculator/jaxb/*.java
ECHO (6) Creating Java archive file...
jar cvfm JSimpleCalculator.jar ./java_src/MANIFEST.MF -C ./build/java .