/*****************************************************************
 * Copyright (c):   2009, All Rights Reserved.
 * Project:         Software Reverse Engineering (SRE) Education
 *                  Legacy Software Reengineering and Reuse
 *                  SimpleCalculator Java to COBOL Reuse Exercise
 * Programmer:      Teodoro Cipresso, San Jose State University
 *                  tcipress@hotmail.com
 ******************************************************************
 */
package info.reversingproject.jsimplecalculator;

public interface ISimpleCalculator {

    long doAdd(int _1stOp, int _2ndOp) throws ArithmeticException;

    long doSubtract(int fist_operand, int _2ndOp) throws ArithmeticException;

    long doMultiply(int _1stOp, int _2ndOp) throws ArithmeticException;
}
